import cv2
import os
import glob
import numpy as np

img_folder = '/Users/junexie/workspace/lightek/pmdrecons-python/imgs/test_pj/20240829140109545'
save_folder = '/Users/junexie/workspace/lightek/pmdrecons-python/imgs/test_pj/picture_denoise'

# 如果保存文件夹不存在，则创建
if not os.path.exists(save_folder):
    os.makedirs(save_folder)
    print(f"创建文件夹: {save_folder}")


subfolders = os.listdir(img_folder)
count = 0
for img_path in os.listdir(os.path.join(img_folder, subfolders[0])):
    if img_path.endswith('.txt'): 
        continue
    imgs = []
    for sub in subfolders:
        print(os.path.join(img_folder, sub, img_path))
        count += 1
        img = cv2.imread(os.path.join(img_folder, sub, img_path))
        imgs.append(img)
        print(img.shape)
    
    assert len(imgs) == 10, len(imgs)
    print(count)
    imgs = np.array(imgs)
    img = np.mean(imgs, axis=0)

    cv2.imwrite(os.path.join(save_folder, img_path), img)
